Package org.bukkit.inventory

# Interface BlockInventoryHolder

All Superinterfaces:
  `InventoryHolder`

All Known Subinterfaces:
  `Barrel`, `BlastFurnace`, `BrewingStand`, `Chest`, `Container`, `Dispenser`, `Dropper`, `Furnace`, `Hopper`, `Lectern`, `ShulkerBox`, `Smoker`

public interface BlockInventoryHolder extends InventoryHolder
Represents a block inventory holder - either a BlockState, or a regular Block.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Gets the block associated with this holder.

### Methods inherited from interface org.bukkit.inventory.InventoryHolder

`getInventory`

## Method Details

### getBlock

@NotNull @NotNull Block getBlock()
Gets the block associated with this holder.

Returns:
  the block associated with this holder
Throws:
  `IllegalStateException` - if the holder is a block state and is not placed